package com.alibaba.druid.sql.dialect.mariadb.visitor;

import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbForceIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbForeignKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbIgnoreIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbPrimaryKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbUnique;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbUseIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbCaseStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbCursorDeclareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareConditionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareHandlerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbIterateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbLeaveStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbRepeatStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbSelectIntoStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbTableTableSource;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbCharExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbIntervalExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbJSONTableExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbOrderingExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbOutFileExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbUserName;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.CobarShowStatus;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsBaselineStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsCancelDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsChangeDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsClearDDLJobCache;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsInspectDDLJobCache;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRecoverDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRemoveDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRollbackDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowDDLJobs;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowGlobalIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowMetadataLock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterDatabaseKillJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterDatabaseSetOption;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterLogFileGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterServerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAddExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterCheck;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterFullTextIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableChangeColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableDiscardTablespace;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableDropExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableForce;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableImportTablespace;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableLock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableModifyColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableOption;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableOrderBy;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableValidation;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTablespaceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterUserStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAnalyzeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbBinlogStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCacheIndexStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCheckTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbChecksumTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbClearPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateAddLogFileGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateExternalCatalogStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextAnalyzerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextCharFilterStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextDictionaryStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextTokenFilterStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextTokenizerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateServerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateTableSpaceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateUserStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDeallocatePrepareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDeleteStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDisabledPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDropFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbEventSchedule;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExecuteForAdsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExecuteStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExplainPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExplainStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbFlashbackStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbFlushStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbGrantStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbHelpStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbHintStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbImportTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbInsertStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbKillStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbListResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLoadDataInFileStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLoadXmlStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLockTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbManageInstanceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbMigrateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbOptimizeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbPartitionByKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbPrepareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRaftLeaderTransferStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRaftMemberChangeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRenameSequenceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRenameTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRepairTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbResetStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRevokeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSelectQueryBlock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSetTransactionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowAuthorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBinLogEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBinaryLogsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBroadcastsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCharacterSetStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowClusterNameStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCollationStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowColumnStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowConfigStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowContributorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateDatabaseStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateFunctionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateProcedureStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateTriggerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDatabaseStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDatasourcesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDbLockStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDdlStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEngineStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEnginesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowErrorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFunctionCodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFunctionStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowGrantsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHMSMetaStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHelpStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHtcStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowJobStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMasterLogsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMasterStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMigrateTaskStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowNodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowOpenTablesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPartitionsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPhysicalProcesslistStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPlanCacheStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPluginsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPrivilegesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcedureCodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcedureStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcessListStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProfileStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProfilesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRelayLogEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRuleStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRuleStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSequencesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlaveHostsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlaveStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlowStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowStcStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTableStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTopologyStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTraceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTriggersStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowVariantsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowWarningsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByList;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByValue;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbTableIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUnlockTablesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdatePlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdateTableSource;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public interface MariadbASTVisitor extends SQLASTVisitor {
   boolean visit(MariadbTableIndex var1);

   void endVisit(MariadbTableIndex var1);

   boolean visit(MariadbKey var1);

   void endVisit(MariadbKey var1);

   boolean visit(MariadbPrimaryKey var1);

   void endVisit(MariadbPrimaryKey var1);

   boolean visit(MariadbUnique var1);

   void endVisit(MariadbUnique var1);

   boolean visit(MariadbForeignKey var1);

   void endVisit(MariadbForeignKey var1);

   void endVisit(MariadbPrepareStatement var1);

   boolean visit(MariadbPrepareStatement var1);

   void endVisit(MariadbExecuteStatement var1);

   boolean visit(MariadbDeallocatePrepareStatement var1);

   void endVisit(MariadbDeallocatePrepareStatement var1);

   boolean visit(MariadbExecuteStatement var1);

   void endVisit(MariadbDeleteStatement var1);

   boolean visit(MariadbDeleteStatement var1);

   void endVisit(MariadbInsertStatement var1);

   boolean visit(MariadbInsertStatement var1);

   void endVisit(MariadbLoadDataInFileStatement var1);

   boolean visit(MariadbLoadDataInFileStatement var1);

   void endVisit(MariadbLoadXmlStatement var1);

   boolean visit(MariadbLoadXmlStatement var1);

   void endVisit(MariadbShowWarningsStatement var1);

   boolean visit(MariadbShowWarningsStatement var1);

   void endVisit(MariadbShowStatusStatement var1);

   boolean visit(MariadbShowStatusStatement var1);

   void endVisit(MariadbShowAuthorsStatement var1);

   boolean visit(MariadbShowAuthorsStatement var1);

   void endVisit(MariadbShowHtcStatement var1);

   boolean visit(MariadbShowHtcStatement var1);

   void endVisit(MariadbShowStcStatement var1);

   boolean visit(MariadbShowStcStatement var1);

   void endVisit(CobarShowStatus var1);

   boolean visit(CobarShowStatus var1);

   void endVisit(DrdsShowDDLJobs var1);

   boolean visit(DrdsShowDDLJobs var1);

   void endVisit(DrdsCancelDDLJob var1);

   boolean visit(DrdsCancelDDLJob var1);

   void endVisit(DrdsRecoverDDLJob var1);

   boolean visit(DrdsRecoverDDLJob var1);

   void endVisit(DrdsRollbackDDLJob var1);

   boolean visit(DrdsRollbackDDLJob var1);

   void endVisit(DrdsRemoveDDLJob var1);

   boolean visit(DrdsRemoveDDLJob var1);

   void endVisit(DrdsInspectDDLJobCache var1);

   boolean visit(DrdsInspectDDLJobCache var1);

   void endVisit(DrdsClearDDLJobCache var1);

   boolean visit(DrdsClearDDLJobCache var1);

   void endVisit(DrdsChangeDDLJob var1);

   boolean visit(DrdsChangeDDLJob var1);

   void endVisit(DrdsBaselineStatement var1);

   boolean visit(DrdsBaselineStatement var1);

   void endVisit(DrdsShowGlobalIndex var1);

   boolean visit(DrdsShowGlobalIndex var1);

   void endVisit(DrdsShowMetadataLock var1);

   boolean visit(DrdsShowMetadataLock var1);

   void endVisit(MariadbBinlogStatement var1);

   boolean visit(MariadbBinlogStatement var1);

   void endVisit(MariadbResetStatement var1);

   boolean visit(MariadbResetStatement var1);

   void endVisit(MariadbCreateUserStatement var1);

   boolean visit(MariadbCreateUserStatement var1);

   void endVisit(MariadbCreateUserStatement.UserSpecification var1);

   boolean visit(MariadbCreateUserStatement.UserSpecification var1);

   void endVisit(MariadbPartitionByKey var1);

   boolean visit(MariadbPartitionByKey var1);

   void endVisit(MariadbUpdatePlanCacheStatement var1);

   boolean visit(MariadbUpdatePlanCacheStatement var1);

   void endVisit(MariadbShowPlanCacheStatusStatement var1);

   boolean visit(MariadbShowPlanCacheStatusStatement var1);

   void endVisit(MariadbClearPlanCacheStatement var1);

   boolean visit(MariadbClearPlanCacheStatement var1);

   void endVisit(MariadbDisabledPlanCacheStatement var1);

   boolean visit(MariadbDisabledPlanCacheStatement var1);

   void endVisit(MariadbExplainPlanCacheStatement var1);

   boolean visit(MariadbExplainPlanCacheStatement var1);

   boolean visit(MariadbSelectQueryBlock var1);

   void endVisit(MariadbSelectQueryBlock var1);

   boolean visit(MariadbOutFileExpr var1);

   void endVisit(MariadbOutFileExpr var1);

   boolean visit(MariadbExplainStatement var1);

   void endVisit(MariadbExplainStatement var1);

   boolean visit(MariadbUpdateStatement var1);

   void endVisit(MariadbUpdateStatement var1);

   boolean visit(MariadbSetTransactionStatement var1);

   void endVisit(MariadbSetTransactionStatement var1);

   boolean visit(MariadbShowHMSMetaStatement var1);

   void endVisit(MariadbShowHMSMetaStatement var1);

   boolean visit(MariadbShowBinaryLogsStatement var1);

   void endVisit(MariadbShowBinaryLogsStatement var1);

   boolean visit(MariadbShowMasterLogsStatement var1);

   void endVisit(MariadbShowMasterLogsStatement var1);

   boolean visit(MariadbShowCharacterSetStatement var1);

   void endVisit(MariadbShowCharacterSetStatement var1);

   boolean visit(MariadbShowCollationStatement var1);

   void endVisit(MariadbShowCollationStatement var1);

   boolean visit(MariadbShowBinLogEventsStatement var1);

   void endVisit(MariadbShowBinLogEventsStatement var1);

   boolean visit(MariadbShowContributorsStatement var1);

   void endVisit(MariadbShowContributorsStatement var1);

   boolean visit(MariadbShowCreateDatabaseStatement var1);

   void endVisit(MariadbShowCreateDatabaseStatement var1);

   boolean visit(MariadbShowCreateEventStatement var1);

   void endVisit(MariadbShowCreateEventStatement var1);

   boolean visit(MariadbShowCreateFunctionStatement var1);

   void endVisit(MariadbShowCreateFunctionStatement var1);

   boolean visit(MariadbShowCreateProcedureStatement var1);

   void endVisit(MariadbShowCreateProcedureStatement var1);

   boolean visit(MariadbShowCreateTriggerStatement var1);

   void endVisit(MariadbShowCreateTriggerStatement var1);

   boolean visit(MariadbShowEngineStatement var1);

   void endVisit(MariadbShowEngineStatement var1);

   boolean visit(MariadbShowEnginesStatement var1);

   void endVisit(MariadbShowEnginesStatement var1);

   boolean visit(MariadbShowErrorsStatement var1);

   void endVisit(MariadbShowErrorsStatement var1);

   boolean visit(MariadbShowEventsStatement var1);

   void endVisit(MariadbShowEventsStatement var1);

   boolean visit(MariadbShowFunctionCodeStatement var1);

   void endVisit(MariadbShowFunctionCodeStatement var1);

   boolean visit(MariadbShowFunctionStatusStatement var1);

   void endVisit(MariadbShowFunctionStatusStatement var1);

   boolean visit(MariadbShowGrantsStatement var1);

   void endVisit(MariadbShowGrantsStatement var1);

   boolean visit(MariadbUserName var1);

   void endVisit(MariadbUserName var1);

   boolean visit(MariadbAlterDatabaseSetOption var1);

   void endVisit(MariadbAlterDatabaseSetOption var1);

   boolean visit(MariadbAlterDatabaseKillJob var1);

   void endVisit(MariadbAlterDatabaseKillJob var1);

   boolean visit(MariadbShowMasterStatusStatement var1);

   void endVisit(MariadbShowMasterStatusStatement var1);

   boolean visit(MariadbShowOpenTablesStatement var1);

   void endVisit(MariadbShowOpenTablesStatement var1);

   boolean visit(MariadbShowPluginsStatement var1);

   void endVisit(MariadbShowPluginsStatement var1);

   boolean visit(MariadbShowPartitionsStatement var1);

   void endVisit(MariadbShowPartitionsStatement var1);

   boolean visit(MariadbShowPrivilegesStatement var1);

   void endVisit(MariadbShowPrivilegesStatement var1);

   boolean visit(MariadbShowProcedureCodeStatement var1);

   void endVisit(MariadbShowProcedureCodeStatement var1);

   boolean visit(MariadbShowProcedureStatusStatement var1);

   void endVisit(MariadbShowProcedureStatusStatement var1);

   boolean visit(MariadbShowProcessListStatement var1);

   void endVisit(MariadbShowProcessListStatement var1);

   boolean visit(MariadbShowProfileStatement var1);

   void endVisit(MariadbShowProfileStatement var1);

   boolean visit(MariadbShowProfilesStatement var1);

   void endVisit(MariadbShowProfilesStatement var1);

   boolean visit(MariadbShowRelayLogEventsStatement var1);

   void endVisit(MariadbShowRelayLogEventsStatement var1);

   boolean visit(MariadbShowSlaveHostsStatement var1);

   void endVisit(MariadbShowSlaveHostsStatement var1);

   boolean visit(MariadbShowSequencesStatement var1);

   void endVisit(MariadbShowSequencesStatement var1);

   boolean visit(MariadbShowSlaveStatusStatement var1);

   void endVisit(MariadbShowSlaveStatusStatement var1);

   boolean visit(MariadbShowSlowStatement var1);

   void endVisit(MariadbShowSlowStatement var1);

   boolean visit(MariadbShowTableStatusStatement var1);

   void endVisit(MariadbShowTableStatusStatement var1);

   boolean visit(MariadbShowTriggersStatement var1);

   void endVisit(MariadbShowTriggersStatement var1);

   boolean visit(MariadbShowVariantsStatement var1);

   void endVisit(MariadbShowVariantsStatement var1);

   boolean visit(MariadbShowTraceStatement var1);

   void endVisit(MariadbShowTraceStatement var1);

   boolean visit(MariadbShowBroadcastsStatement var1);

   void endVisit(MariadbShowBroadcastsStatement var1);

   boolean visit(MariadbShowRuleStatement var1);

   void endVisit(MariadbShowRuleStatement var1);

   boolean visit(MariadbShowRuleStatusStatement var1);

   void endVisit(MariadbShowRuleStatusStatement var1);

   boolean visit(MariadbShowDsStatement var1);

   void endVisit(MariadbShowDsStatement var1);

   boolean visit(MariadbShowDdlStatusStatement var1);

   void endVisit(MariadbShowDdlStatusStatement var1);

   boolean visit(MariadbShowTopologyStatement var1);

   void endVisit(MariadbShowTopologyStatement var1);

   boolean visit(MariadbRenameTableStatement.Item var1);

   void endVisit(MariadbRenameTableStatement.Item var1);

   boolean visit(MariadbRenameTableStatement var1);

   void endVisit(MariadbRenameTableStatement var1);

   boolean visit(MariadbShowDbLockStatement var1);

   void endVisit(MariadbShowDbLockStatement var1);

   boolean visit(MariadbShowDatabaseStatusStatement var1);

   void endVisit(MariadbShowDatabaseStatusStatement var1);

   boolean visit(MariadbUseIndexHint var1);

   void endVisit(MariadbUseIndexHint var1);

   boolean visit(MariadbIgnoreIndexHint var1);

   void endVisit(MariadbIgnoreIndexHint var1);

   boolean visit(MariadbLockTableStatement var1);

   void endVisit(MariadbLockTableStatement var1);

   boolean visit(MariadbLockTableStatement.Item var1);

   void endVisit(MariadbLockTableStatement.Item var1);

   boolean visit(MariadbUnlockTablesStatement var1);

   void endVisit(MariadbUnlockTablesStatement var1);

   boolean visit(MariadbForceIndexHint var1);

   void endVisit(MariadbForceIndexHint var1);

   boolean visit(MariadbAlterTableChangeColumn var1);

   void endVisit(MariadbAlterTableChangeColumn var1);

   boolean visit(MariadbAlterTableOption var1);

   void endVisit(MariadbAlterTableOption var1);

   boolean visit(MariadbCreateTableStatement var1);

   void endVisit(MariadbCreateTableStatement var1);

   boolean visit(MariadbHelpStatement var1);

   void endVisit(MariadbHelpStatement var1);

   boolean visit(MariadbCharExpr var1);

   void endVisit(MariadbCharExpr var1);

   boolean visit(MariadbAlterTableModifyColumn var1);

   void endVisit(MariadbAlterTableModifyColumn var1);

   boolean visit(MariadbAlterTableDiscardTablespace var1);

   void endVisit(MariadbAlterTableDiscardTablespace var1);

   boolean visit(MariadbAlterTableImportTablespace var1);

   void endVisit(MariadbAlterTableImportTablespace var1);

   boolean visit(MariadbCreateTableStatement.TableSpaceOption var1);

   void endVisit(MariadbCreateTableStatement.TableSpaceOption var1);

   boolean visit(MariadbAnalyzeStatement var1);

   void endVisit(MariadbAnalyzeStatement var1);

   boolean visit(MariadbCreateExternalCatalogStatement var1);

   void endVisit(MariadbCreateExternalCatalogStatement var1);

   boolean visit(MariadbAlterUserStatement var1);

   void endVisit(MariadbAlterUserStatement var1);

   boolean visit(MariadbOptimizeStatement var1);

   void endVisit(MariadbOptimizeStatement var1);

   boolean visit(MariadbHintStatement var1);

   void endVisit(MariadbHintStatement var1);

   boolean visit(MariadbOrderingExpr var1);

   void endVisit(MariadbOrderingExpr var1);

   boolean visit(MariadbCaseStatement var1);

   void endVisit(MariadbCaseStatement var1);

   boolean visit(MariadbDeclareStatement var1);

   void endVisit(MariadbDeclareStatement var1);

   boolean visit(MariadbSelectIntoStatement var1);

   void endVisit(MariadbSelectIntoStatement var1);

   boolean visit(MariadbCaseStatement.MariadbWhenStatement var1);

   void endVisit(MariadbCaseStatement.MariadbWhenStatement var1);

   boolean visit(MariadbLeaveStatement var1);

   void endVisit(MariadbLeaveStatement var1);

   boolean visit(MariadbIterateStatement var1);

   void endVisit(MariadbIterateStatement var1);

   boolean visit(MariadbRepeatStatement var1);

   void endVisit(MariadbRepeatStatement var1);

   boolean visit(MariadbCursorDeclareStatement var1);

   void endVisit(MariadbCursorDeclareStatement var1);

   boolean visit(MariadbUpdateTableSource var1);

   void endVisit(MariadbUpdateTableSource var1);

   boolean visit(MariadbAlterTableAlterColumn var1);

   void endVisit(MariadbAlterTableAlterColumn var1);

   boolean visit(MariadbAlterTableForce var1);

   void endVisit(MariadbAlterTableForce var1);

   boolean visit(MariadbAlterTableLock var1);

   void endVisit(MariadbAlterTableLock var1);

   boolean visit(MariadbAlterTableOrderBy var1);

   void endVisit(MariadbAlterTableOrderBy var1);

   boolean visit(MariadbAlterTableValidation var1);

   void endVisit(MariadbAlterTableValidation var1);

   boolean visit(MariadbSubPartitionByKey var1);

   void endVisit(MariadbSubPartitionByKey var1);

   boolean visit(MariadbSubPartitionByList var1);

   void endVisit(MariadbSubPartitionByList var1);

   boolean visit(MariadbDeclareHandlerStatement var1);

   void endVisit(MariadbDeclareHandlerStatement var1);

   boolean visit(MariadbDeclareConditionStatement var1);

   void endVisit(MariadbDeclareConditionStatement var1);

   boolean visit(MariadbFlushStatement var1);

   void endVisit(MariadbFlushStatement var1);

   boolean visit(MariadbEventSchedule var1);

   void endVisit(MariadbEventSchedule var1);

   boolean visit(MariadbCreateEventStatement var1);

   void endVisit(MariadbCreateEventStatement var1);

   boolean visit(MariadbCreateAddLogFileGroupStatement var1);

   void endVisit(MariadbCreateAddLogFileGroupStatement var1);

   boolean visit(MariadbCreateServerStatement var1);

   void endVisit(MariadbCreateServerStatement var1);

   boolean visit(MariadbCreateTableSpaceStatement var1);

   void endVisit(MariadbCreateTableSpaceStatement var1);

   boolean visit(MariadbAlterEventStatement var1);

   void endVisit(MariadbAlterEventStatement var1);

   boolean visit(MariadbAlterLogFileGroupStatement var1);

   void endVisit(MariadbAlterLogFileGroupStatement var1);

   boolean visit(MariadbAlterServerStatement var1);

   void endVisit(MariadbAlterServerStatement var1);

   boolean visit(MariadbAlterTablespaceStatement var1);

   void endVisit(MariadbAlterTablespaceStatement var1);

   boolean visit(MariadbChecksumTableStatement var1);

   void endVisit(MariadbChecksumTableStatement var1);

   boolean visit(MariadbShowDatasourcesStatement var1);

   void endVisit(MariadbShowDatasourcesStatement var1);

   boolean visit(MariadbShowNodeStatement var1);

   void endVisit(MariadbShowNodeStatement var1);

   boolean visit(MariadbShowHelpStatement var1);

   void endVisit(MariadbShowHelpStatement var1);

   boolean visit(MariadbFlashbackStatement var1);

   void endVisit(MariadbFlashbackStatement var1);

   boolean visit(MariadbShowConfigStatement var1);

   void endVisit(MariadbShowConfigStatement var1);

   boolean visit(MariadbShowPlanCacheStatement var1);

   void endVisit(MariadbShowPlanCacheStatement var1);

   boolean visit(MariadbShowPhysicalProcesslistStatement var1);

   void endVisit(MariadbShowPhysicalProcesslistStatement var1);

   boolean visit(MariadbRenameSequenceStatement var1);

   void endVisit(MariadbRenameSequenceStatement var1);

   boolean visit(MariadbCheckTableStatement var1);

   void endVisit(MariadbCheckTableStatement var1);

   boolean visit(MariadbCreateFullTextCharFilterStatement var1);

   void endVisit(MariadbCreateFullTextCharFilterStatement var1);

   boolean visit(MariadbShowFullTextStatement var1);

   void endVisit(MariadbShowFullTextStatement var1);

   boolean visit(MariadbShowCreateFullTextStatement var1);

   void endVisit(MariadbShowCreateFullTextStatement var1);

   boolean visit(MariadbAlterFullTextStatement var1);

   void endVisit(MariadbAlterFullTextStatement var1);

   boolean visit(MariadbDropFullTextStatement var1);

   void endVisit(MariadbDropFullTextStatement var1);

   boolean visit(MariadbCreateFullTextTokenizerStatement var1);

   void endVisit(MariadbCreateFullTextTokenizerStatement var1);

   boolean visit(MariadbCreateFullTextTokenFilterStatement var1);

   void endVisit(MariadbCreateFullTextTokenFilterStatement var1);

   boolean visit(MariadbCreateFullTextAnalyzerStatement var1);

   void endVisit(MariadbCreateFullTextAnalyzerStatement var1);

   boolean visit(MariadbCreateFullTextDictionaryStatement var1);

   void endVisit(MariadbCreateFullTextDictionaryStatement var1);

   boolean visit(MariadbAlterTableAlterFullTextIndex var1);

   void endVisit(MariadbAlterTableAlterFullTextIndex var1);

   boolean visit(MariadbExecuteForAdsStatement var1);

   void endVisit(MariadbExecuteForAdsStatement var1);

   boolean visit(MariadbManageInstanceGroupStatement var1);

   void endVisit(MariadbManageInstanceGroupStatement var1);

   boolean visit(MariadbRaftMemberChangeStatement var1);

   void endVisit(MariadbRaftMemberChangeStatement var1);

   boolean visit(MariadbRaftLeaderTransferStatement var1);

   void endVisit(MariadbRaftLeaderTransferStatement var1);

   boolean visit(MariadbMigrateStatement var1);

   void endVisit(MariadbMigrateStatement var1);

   boolean visit(MariadbShowClusterNameStatement var1);

   void endVisit(MariadbShowClusterNameStatement var1);

   boolean visit(MariadbShowJobStatusStatement var1);

   void endVisit(MariadbShowJobStatusStatement var1);

   boolean visit(MariadbShowMigrateTaskStatusStatement var1);

   void endVisit(MariadbShowMigrateTaskStatusStatement var1);

   boolean visit(MariadbSubPartitionByValue var1);

   void endVisit(MariadbSubPartitionByValue var1);

   boolean visit(MariadbExtPartition var1);

   void endVisit(MariadbExtPartition var1);

   boolean visit(MariadbExtPartition.Item var1);

   void endVisit(MariadbExtPartition.Item var1);

   boolean visit(MariadbJSONTableExpr var1);

   void endVisit(MariadbJSONTableExpr var1);

   boolean visit(MariadbJSONTableExpr.Column var1);

   void endVisit(MariadbJSONTableExpr.Column var1);

   boolean visit(MariadbAlterTableAlterCheck var1);

   void endVisit(MariadbAlterTableAlterCheck var1);

   boolean visit(MariadbIntervalExpr var1);

   void endVisit(MariadbIntervalExpr var1);

   boolean visit(MariadbTableTableSource var1);

   void endVisit(MariadbTableTableSource var1);

   boolean visit(MariadbAlterTableAlterIndex var1);

   void endVisit(MariadbAlterTableAlterIndex var1);

   boolean visit(MariadbGrantStatement var1);

   void endVisit(MariadbGrantStatement var1);

   boolean visit(MariadbRevokeStatement var1);

   void endVisit(MariadbRevokeStatement var1);

   boolean visit(MariadbRepairTableStatement var1);

   void endVisit(MariadbRepairTableStatement var1);

   boolean visit(MariadbImportTableStatement var1);

   void endVisit(MariadbImportTableStatement var1);

   boolean visit(MariadbShowColumnStatement var1);

   void endVisit(MariadbShowColumnStatement var1);

   boolean visit(MariadbShowCreateTableStatement var1);

   void endVisit(MariadbShowCreateTableStatement var1);

   boolean visit(MariadbCacheIndexStatement var1);

   void endVisit(MariadbCacheIndexStatement var1);

   boolean visit(MariadbAlterTableAddExtPartition var1);

   void endVisit(MariadbAlterTableAddExtPartition var1);

   boolean visit(MariadbKillStatement var1);

   void endVisit(MariadbKillStatement var1);

   boolean visit(MariadbCreateResourceGroupStatement var1);

   void endVisit(MariadbCreateResourceGroupStatement var1);

   boolean visit(MariadbListResourceGroupStatement var1);

   void endVisit(MariadbListResourceGroupStatement var1);

   boolean visit(MariadbAlterTableDropExtPartition var1);

   void endVisit(MariadbAlterTableDropExtPartition var1);

   boolean visit(MariadbAlterResourceGroupStatement var1);

   void endVisit(MariadbAlterResourceGroupStatement var1);
}
